Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594016 - SSL Connection raises "Network Error" using port 5223
Summary: SSL Connection raises "Network Error" using port 5223
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: empathy
Version: 15
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 11:05 UTC by Jarmo
Modified: 2011-08-04 14:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-04 14:07:39 UTC


Attachments (Terms of Use)

Description Jarmo 2010-05-20 11:05:41 UTC
Description of problem:

Empathy SSL Connection raises "Network Error" constantly - does not work.
Works with Pidgin or other jabber clients on the same Fedora 13 installation when using the same settings.


Version-Release number of selected component (if applicable):

empathy-2.30.1-2.fc13.i686
and previous versions.

How reproducible:


Steps to Reproduce:
1. Add new user and give the password.
2. Click 'Advanced'
3. Select 'SSL/TSL' and 'Ignore SSL Errors'
4. Select 'Override server settings' and define the server name.
5. Select 'Use old SSL-port' and set port 5223.
  
Actual results:

==> Raises 'Network Error' constantly.

Expected results:

The connection should work as it does with Pidgin or other Jabber clients on same F13.


Additional info:

Comment 1 Eric Work 2010-06-04 07:31:20 UTC
I'm also seeing this problem with an Openfire based XMPP server (Zimbra).  I have SSL checked and Ignore SSL Errors checked with the default port 5222.  It works fine with Pidgin and my iPhone.

There are some of the errors I see in the debug window:

_error: wocky-xmpp-reader.c:602: Parsing failed StartTag: invalid element name

connector_error_disconnect: connection failed: Jabber Auth Fields: Connection has been closed for reading stanzas

Comment 2 Jarmo 2010-09-03 10:46:06 UTC
This is still a problem in F14 Alpha.

Comment 3 Jarmo 2011-04-18 13:31:38 UTC
Does still not work in Fedora 15 beta either.

Comment 4 Bug Zapper 2011-06-02 13:47:40 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Jarmo 2011-06-02 14:14:14 UTC
The bug issue still reproduces in Fedora 15. Changed the version from Fedora 13 to Fedora 15.

Comment 6 Jarmo 2011-08-04 14:07:39 UTC
Closing this as this could be server side issue too.


Note You need to log in before you can comment on or make changes to this bug.